#if !defined(AFX_PICTUREAREAMOVE_H__B43AAB4E_EB1D_4891_ABF7_EA9EEC6A631C__INCLUDED_)
#define AFX_PICTUREAREAMOVE_H__B43AAB4E_EB1D_4891_ABF7_EA9EEC6A631C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PictureAreaMove.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPictureAreaMove dialog

class CPictureAreaMove : public CDialog
{
// Construction
public:
	int m_VideoCol;
	int m_VideoLine;
	void AreaMove();
	ULONG m_ulMoveDiretion;
	ULONG m_ulMoveDirLast;
	int m_Left ;
	int m_Up ;
	ULONG* wrLong;
	int m_nMoveStep;
	CPictureAreaMove(CWnd* pParent = NULL);   // standard constructor
	int m_iMoving;

	HANDLE m_event;
	HANDLE m_hExitEvent;
	HANDLE m_hMoveAreaThread;

	UINT m_uCardNum;
	CString m_strEventName;

// Dialog Data
	//{{AFX_DATA(CPictureAreaMove)
	enum { IDD = IDD_PICTURE_AREA_MOVE };
	CScrollBar	m_SpeedSel;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPictureAreaMove)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPictureAreaMove)
	virtual BOOL OnInitDialog();
	afx_msg void OnAreaMoveStop();
	afx_msg void OnAreaMoveDown();
	afx_msg void OnAreaMoveLeft();
	afx_msg void OnAreaMoveRight();
	afx_msg void OnAreaMoveUp();
	virtual void OnOK();
	afx_msg void OnPictureAreaMoveSelPic();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PICTUREAREAMOVE_H__B43AAB4E_EB1D_4891_ABF7_EA9EEC6A631C__INCLUDED_)
